Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QFile.FileError

    java.lang.Object
      java.lang.Enum<QFile.FileError>
          com.trolltech.qt.core.QFile.FileError

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFile.FileError>

Enclosing class:
  QFile

    public static enum QFile.FileError

extends java.lang.Enum<QFile.FileError>
implements QtEnumerator

This enum describes the errors that may be returned by the `error` function.

Enum Constant Summary
`AbortError` The operation was aborted.
`CopyError` The file could not be copied.
`FatalError` A fatal error occurred.
`NoError` No error occurred.
`OpenError` The file could not be opened.
`PermissionsError` The file could not be accessed.
`PositionError` The position in the file could not be changed.
`ReadError` An error occurred when reading from the file.
`RemoveError` The file could not be removed.
`RenameError` The file could not be renamed.
`ResizeError` The file could not be resized.
`ResourceError` Internal.
`TimeOutError` A timeout occurred.
`UnspecifiedError` An unspecified error occurred.
`WriteError` An error occurred when writing to the file.

Method Summary
`static QFile.FileError` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFile.FileError` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFile.FileError[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoError

    public static final QFile.FileError NoError

  No error occurred.

### ReadError

    public static final QFile.FileError ReadError

  An error occurred when reading from the file.

### WriteError

    public static final QFile.FileError WriteError

  An error occurred when writing to the file.

### FatalError

    public static final QFile.FileError FatalError

  A fatal error occurred.

### ResourceError

    public static final QFile.FileError ResourceError

  Internal.

### OpenError

    public static final QFile.FileError OpenError

  The file could not be opened.

### AbortError

    public static final QFile.FileError AbortError

  The operation was aborted.

### TimeOutError

    public static final QFile.FileError TimeOutError

  A timeout occurred.

### UnspecifiedError

    public static final QFile.FileError UnspecifiedError

  An unspecified error occurred.

### RemoveError

    public static final QFile.FileError RemoveError

  The file could not be removed.

### RenameError

    public static final QFile.FileError RenameError

  The file could not be renamed.

### PositionError

    public static final QFile.FileError PositionError

  The position in the file could not be changed.

### ResizeError

    public static final QFile.FileError ResizeError

  The file could not be resized.

### PermissionsError

    public static final QFile.FileError PermissionsError

  The file could not be accessed.

### CopyError

    public static final QFile.FileError CopyError

  The file could not be copied.

Method Detail

### values

    public static final QFile.FileError[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFile.FileError c : QFile.FileError.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFile.FileError valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFile.FileError resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD